Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.logging.log4j.nosql.appender
Interface NoSqlObject<W>

Type Parameters:
  `W` - Specifies what type of underlying object (such as a MongoDB BasicDBObject) this NoSqlObject wraps.

All Known Implementing Classes:
  DefaultNoSqlObject, MongoDbObject

    public interface NoSqlObject<W>

Represents a simple POJO object inserted into a NoSQL object.

Method Summary
`void` | `set(String field, NoSqlObject<W> value)` Sets the value of a property on this object to a nested complex object.
`void` | `set(String field, NoSqlObject<W>[] values)` Sets the value of a property on this object to an array of nested complex objects.
`void` | `set(String field, Object value)` Sets the value of a property on this object to a String or primitive.
`void` | `set(String field, Object[] values)` Sets the value of a property on this object to an array of Strings or primitives.
`W` | `unwrap()` Obtains the underlying NoSQL library-specific object that this object wraps.

Method Detail

### set

    void set(String field,
             Object value)

  Sets the value of a property on this object to a String or primitive.

  Parameters:
    `field` - The name of the property
    `value` - The value of the property

### set

    void set(String field,
             NoSqlObject<W> value)

  Sets the value of a property on this object to a nested complex object.

  Parameters:
    `field` - The name of the property
    `value` - The value of the property

### set

    void set(String field,
             Object[] values)

  Sets the value of a property on this object to an array of Strings or primitives.

  Parameters:
    `field` - The name of the property
    `values` - The values for the property

### set

    void set(String field,
             NoSqlObject<W>[] values)

  Sets the value of a property on this object to an array of nested complex objects.

  Parameters:
    `field` - The name of the property
    `values` - The values for the property

### unwrap

    W unwrap()

  Obtains the underlying NoSQL library-specific object that this object wraps.

  Returns:
    the wrapped object.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2015 Apache Software Foundation. All Rights Reserved.
Apache Logging, Apache Log4j, Log4j, Apache, the Apache feather logo, the Apache Logging project logo, and the Apache Log4j logo are trademarks of The Apache Software Foundation.